(*====================================================================
    File POLARIS.INC

    Components library for Delphi, Kylix and BCB++.
    Compiler options.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: POLARIS.INC,v 1.8 2008/10/06 11:38:17 khmelevskiy Exp $
======================================================================*)
// This module included in all PAS-modules of Polaris packages
// with using $I option

//  POLARIS_D3 - Delphi 3 or higher
//  POLARIS_D4 - Delphi 4 or higher
//  POLARIS_D5 - Delphi 5 or higher
//  POLARIS_D6 - Delphi 6 or higher
//  POLARIS_D7 - Delphi 7 or higher
//  POLARIS_D9 - Delphi 2005 or higher
//  POLARIS_D10- Delphi 2006 or higher
//  POLARIS_DELPHI5 - Delphi 5 or higher (not BCB 5)

{$IFDEF VER100} { Delphi 3 }
  {$DEFINE POLARIS_D3}
{$ENDIF}

{$IFDEF VER110} { C++Builder 3 }
  {$DEFINE POLARIS_D3}
{$ENDIF}

{$IFDEF VER120} { Delphi 4 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
{$ENDIF}

{$IFDEF VER125} { C++Builder 4 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
{$ENDIF}

{$IFDEF VER130} { Delphi 5 & C++Builder 5 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
{$ENDIF}

{$IFDEF VER140} { Delphi 6 & C++Builder 6 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
{$ENDIF}

{$IFDEF VER150} { Delphi 7 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
  {$DEFINE POLARIS_D7}
{$ENDIF}

{$IFDEF VER170} { Delphi 2005 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
  {$DEFINE POLARIS_D7}
  {$DEFINE POLARIS_D9}
{$ENDIF}

{$IFDEF VER180} { Delphi 2006 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
  {$DEFINE POLARIS_D7}
  {$DEFINE POLARIS_D9}
  {$DEFINE POLARIS_D10}
{$ENDIF}

{$IFDEF VER185} { Delphi 2007 }
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
  {$DEFINE POLARIS_D7}
  {$DEFINE POLARIS_D9}
  {$DEFINE POLARIS_D10}
  {$DEFINE POLARIS_D11}
{$ENDIF}

{$IFDEF VER200} { Delphi 2009}
  {$DEFINE POLARIS_D3}
  {$DEFINE POLARIS_D4}
  {$DEFINE POLARIS_D5}
  {$DEFINE POLARIS_D6}
  {$DEFINE POLARIS_D7}
  {$DEFINE POLARIS_D9}
  {$DEFINE POLARIS_D10}
  {$DEFINE POLARIS_D11}
  {$DEFINE POLARIS_D12}
{$ENDIF}

{$IFDEF BCB}
  {$DEFINE POLARIS_BCB}
{$ELSE}
  {$DEFINE POLARIS_DELPHI}
  {$IFDEF POLARIS_D5}
    {$DEFINE POLARIS_DELPHI5}
  {$ENDIF}
{$ENDIF}

{$IFNDEF POLARIS_D6}
  {$DEFINE MSWINDOWS}
{$ENDIF}

//--- User defined options

// support CompuServe GIF format
{$DEFINE GIF}

// support JPEG format
{$DEFINE JPEG}

// using BDE
{$DEFINE BDE}

// use F5 for Refresh (Ctrl-R instead)
{$DEFINE REFRESH_F5}

// using TRxDBGrid
{$DEFINE USE_TRXDBGRID}

{$IFDEF USE_TRXDBGRID}
  // using TrDBGrid
  {$DEFINE USE_TRDBGRID}
{$ENDIF}

// Week begins on Monday
{$DEFINE WEEK_MONDAY}

