(*====================================================================
    File rBkgndEd.pas

    Components library for Delphi and BCB++.
    TGraphicFileName property design editor.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rBkgndEd.pas,v 1.2 2008/09/05 09:00:45 savchenko Exp $
======================================================================*)


unit rBkgndEd;

{$I POLARIS.INC}
{$IFDEF POLARIS_D6}
  {$WARN SYMBOL_PLATFORM OFF}
  {$WARN UNIT_PLATFORM OFF}
{$ENDIF}

interface
uses
  Classes, rBkgnd, Forms,
  {$IFDEF POLARIS_D6}DesignIntf,DesignEditors{$ELSE}DsgnIntf{$ENDIF};

Type TGraphicFileNameEditor = class( TStringProperty )
     public
       function GetAttributes: TPropertyAttributes; override;
       procedure Edit; override;
       function GetValue: String; override;
     end;

procedure Register;

implementation

Uses extdlgs, SysUtils;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TGraphicFileName), TrBackground, '',
                         TGraphicFileNameEditor );
end;

function TGraphicFileNameEditor.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog];
end;

procedure TGraphicFileNameEditor.Edit;
Var D: TOpenPictureDialog;
    S: String;
begin
  S := GetStrValue;
  D := TOpenPictureDialog.Create( Application );
  try
    //D.Title := srBkgndPic;
    D.InitialDir := ExtractFilePath(S);
    D.FileName   := S;
    if D.Execute then
      SetStrValue( D.FileName );
  finally
    D.Free;
  end;
end;

function TGraphicFileNameEditor.GetValue: String;
begin
  Result := inherited GetValue;
end;

end.
