(*====================================================================
    File rVCLDBUtils.pas

    Components library for Delphi, Kylix and BCB++.
    ,       (VCL).
    Procedures, functions and types for working with database(VCL).

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: rVCLDBUtils.pas,v 1.5 2008/09/05 07:22:00 ariafan Exp $
======================================================================*)
unit rVCLDBUtils;

{$I POLARIS.INC}
{$R rDBCtrls.res}
{$J+}

interface

uses Windows, Classes, Menus, rDBConst, DB, DBConsts, DBCtrls, SysUtils,
     rUtils, rVCLUtils, rDBUtils
     {$IFDEF POLARIS_D6}, RxStrUtils{$ELSE}, StrUtils{$ENDIF};

type
  TOnActiveChanged =
    procedure (Sender: TObject; DataLink: TFieldDataLink; var SetEnabled: Boolean) of object;

//    ()
// Delete record(s) warning messagebox
function DeleteMessage(ADataSet: TDataSet; AMulti: Boolean): Boolean; {$IFDEF POLARIS_D4}overload;{$ENDIF}
{$IFDEF POLARIS_D4}
function DeleteMessage(ADataSet: TDataSet; Q: Integer = 1): Boolean; overload;
{$ENDIF}

implementation

function DeleteMessage(ADataSet: TDataSet; AMulti: Boolean): Boolean; {$IFDEF POLARIS_D4}overload;{$ENDIF}
var s: string;
begin
  if AMulti then
    s := SDeleteMultipleRecordsQuestion
  else begin
    s := ExtractWord(1, srRecord, [',']);
    if Assigned(GetRecordNameProc) then
      GetRecordNameProc(ADataSet, 1, s);
    s := Format(srDeleteRecordQuestion, [s]);
  end;
  Result := rMsgBox(PChar(s), MB_YESNO+MB_ICONQUESTION+MB_DEFBUTTON2) = IDYES;
end;
{$IFDEF POLARIS_D4}
function DeleteMessage(ADataSet: TDataSet; Q: Integer = 1): Boolean; overload;
var s: string;
begin
  Result := False;
  if Q <= 0 then exit;
  s := ExtractWord(TestNum(Q)+1, srRecord, [',']);
  if Assigned(GetRecordNameProc) then
    GetRecordNameProc(ADataSet, Q, s);
  if Q = 1 then
    s := Format(srDeleteRecordQuestion, [s])
  else
    s := Format(srDeleteMultipleRecordsQuestion, [Q, s]);
  Result := rMsgBox(PChar(s), MB_YESNO+MB_ICONQUESTION+MB_DEFBUTTON2) = IDYES;
end;
{$ENDIF}

initialization
  DBDeleteMessage := DeleteMessage;

  DBActionShortCuts[tbaFirst]   := ShortCut(VK_HOME,[ssCtrl]);
  DBActionShortCuts[tbaLast]    := ShortCut(VK_END,[ssCtrl]);
{$IFDEF REFRESH_F5}
  DBActionShortCuts[tbaRefresh] := ShortCut(VK_F5,[]);
{$ELSE}
  DBActionShortCuts[tbaRefresh] := ShortCut(Word('R'),[ssCtrl]);
{$ENDIF}
  DBActionShortCuts[tbaView]    := ShortCut(VK_F3,[ssCtrl]);
  DBActionShortCuts[tbaPost]    := ShortCut(VK_RETURN,[ssCtrl]);

{$IFDEF VER185}
  RHandles.Add(Pointer(GetModuleHandle('vcldb100.bpl')));
{$ELSE}
{$IFDEF VER180}
  RHandles.Add(Pointer(GetModuleHandle('vcldb100.bpl')));
{$ELSE}
{$IFDEF VER170}
  RHandles.Add(Pointer(GetModuleHandle('vcldb90.bpl')));
{$ELSE}
{$IFDEF VER150}
  RHandles.Add(Pointer(GetModuleHandle('vcldb70.bpl')));
{$ELSE}
{$IFDEF VER140}
  RHandles.Add(Pointer(GetModuleHandle('vcldb60.bpl')));
{$ELSE}
{$IFDEF VER130}
  RHandles.Add(Pointer(GetModuleHandle('vcldb50.bpl')));
{$ELSE}
{$IFDEF POLARIS_D4}
  RHandles.Add(Pointer(GetModuleHandle('vcldb40.bpl')));
{$ELSE}
  RHandles.Add(Pointer(GetModuleHandle('vcldb30.dpl')));
{$ENDIF}{$ENDIF}{$ENDIF}{$ENDIF}{$ENDIF}{$ENDIF}{$ENDIF}
end.

